This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Set Volume Replication Policy

1 - 1.4

put /v1/volumes/{volume_id}/replications/policy

Description

Set Volume Replication Policy.

State ACTIVE (CURRENT)

VersionNot Before
1.4-

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume id
Example : 92cd16fe8ebc4f73832513a172bf0000
stringNone
bodybody
required

VolumeReplicationPolicyRequest

Responses

HTTP CodeDescriptionSchema
200OKVolumeReplicationPolicyResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/volumes/{volume_id}/replications/policy

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.4"

Request body

{
    "policy": "RESYNC"
}

Example HTTP response

Response 200

{
    "sync_cycle": "5MIN",
    "sync_state": "SNAPMIRROED"
}

2 - 1.3

put /v1/volumes/{volume_id}/replications/policy

Description

Set Volume Replication Policy.

State ACTIVE (SUPPORTED)

VersionNot Before
1.320270131

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume id
Example : 92cd16fe8ebc4f73832513a172bf0000
stringNone
bodybody
required

VolumeReplicationPolicyRequest

Responses

HTTP CodeDescriptionSchema
200OKVolumeReplicationPolicyResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/volumes/{volume_id}/replications/policy

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.3"

Request body

{
    "policy": "RESYNC"
}

Example HTTP response

Response 200

{
    "sync_cycle": "5MIN",
    "sync_state": "SNAPMIRROED"
}

3 - 1.2

put /v1/volumes/{volume_id}/replications/policy

Description

Set Volume Replication Policy.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.220260531

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume id
Example : 92cd16fe8ebc4f73832513a172bf0000
stringNone
bodybody
required

VolumeReplicationPolicyRequest

Responses

HTTP CodeDescriptionSchema
200OKVolumeReplicationPolicyResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/volumes/{volume_id}/replications/policy

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"

Request body

{
    "policy": "RESYNC"
}

Example HTTP response

Response 200

{
    "sync_cycle": "5MIN",
    "sync_state": "SNAPMIRROED"
}

4 - 1.1

put /v1/volumes/{volume_id}/replications/policy

Description

Set Volume Replication Policy.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume id
Example : 92cd16fe8ebc4f73832513a172bf0000
stringNone
bodybody
required

VolumeReplicationPolicyRequest

Responses

HTTP CodeDescriptionSchema
200OKVolumeReplicationPolicyResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/volumes/{volume_id}/replications/policy

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"

Request body

{
    "policy": "RESYNC"
}

Example HTTP response

Response 200

{
    "sync_cycle": "5MIN",
    "sync_state": "SNAPMIRROED"
}

5 - 1.0

put /v1/volumes/{volume_id}/replications/policy

Description

Set Volume Replication Policy.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume id
Example : 92cd16fe8ebc4f73832513a172bf0000
stringNone
bodybody
required

VolumeReplicationPolicyRequest

Responses

HTTP CodeDescriptionSchema
200OKVolumeReplicationPolicyResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/volumes/{volume_id}/replications/policy

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.0"

Request body

{
    "policy": "RESYNC"
}

Example HTTP response

Response 200

{
    "sync_cycle": "5MIN",
    "sync_state": "SNAPMIRROED"
}